<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
    <script type="text/javascript">         //Seperate code part pasted here
        function Vehicle(type){             //Vehicle class
            Vehicle.VehicleCount++;
            this.type = type;
        }

        Vehicle.VehicleCount=0;

        Vehicle.prototype.drive = function(){
            console.log("Vehicle is driving");
        };

        var vehicle = new Vehicle('Nissan');

        function Car(type){                     //Car class
            Vehicle.call(this,type);
        }

        Car.prototype =  Object.create(Vehicle.prototype);
        Car.prototype.constructor = Car;
        Car.prototype.balanceWheels = function(){
            console.log('Wheels are balanced');
        };

        var MyCar = new Car('Mazda');
        MyCar.drive();
        MyCar.balanceWheels();
        console.log(MyCar.type, Vehicle.VehicleCount);
    </script>
</body>
</html>